## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global         srcname     google-cloud-containeranalysis
%global         forgeurl    https://github.com/googleapis/python-containeranalysis
Version:        2.12.4
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python SDK for Google Cloud Container Analysis API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Container Analysis API: An implementation of the Grafeas API, which stores, and
enables querying and retrieval of critical metadata about all of your software
artifacts.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary files.
rm -f %{buildroot}%{_bindir}/fixup* samples/snippets/.gitignore


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit -k "not test_get_grafeas_client and not test_get_grafeas_client_async"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md UPGRADING.md samples
%{python3_sitelib}/google_cloud_containeranalysis-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Oct 23 2023 Major Hayden <major@redhat.com> - 2.12.4-1
- Update to 2.12.4

* Mon Oct 23 2023 Major Hayden <major@redhat.com> - 2.12.2-3
- Update packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 2.12.2-1
- Update to 2.12.2 rhbz#2219856

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.12.1-2
- Rebuilt for Python 3.12

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 2.12.1-1
- Update to 2.12.1 rhbz#2182128

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 2.12.0-1
- Update to 2.12.0 rhbz#2173824

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 2.11.1-1
- Update to 2.11.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 2.9.3-1
- Update to 2.9.3 rhbz#2131859

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 2.9.1-1
- Update to 2.9.1 rhbz#2118796

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 2.9.0-1
- Update to 2.9.0 rhbz#2108128

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 2.8.1-2
- Add F35 note

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 2.8.1-1
- Update to 2.8.1

* Fri May 06 2022 Major Hayden <major@mhtx.net> - 2.8.0-1
- Update to 2.8.0

* Wed Mar 09 2022 Major Hayden <major@redhat.com> - 2.7.3-1
- Update to 2.7.3

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 2.7.2-1
- Update to 2.7.2

* Thu Feb 17 2022 Major Hayden <major@redhat.com> - 2.7.1-1
- Update to 2.7.1

* Wed Feb 09 2022 Major Hayden <major@redhat.com> - 2.7.0-2
- Bump revision

* Fri Jan 28 2022 Major Hayden <major@redhat.com> - 2.7.0-1
- Update to 2.7.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Major Hayden <major@redhat.com> - 2.6.3-1
- Update to 2.6.3

* Tue Nov 02 2021 Major Hayden <major@redhat.com> - 2.6.2-1
- Update to 2.6.2

* Thu Oct 28 2021 Major Hayden <major@redhat.com> - 2.6.0-2
- First package for version 2.6.0 🎉

* Thu Oct 28 2021 Major Hayden <major@redhat.com> - 2.6.0-1
- Initial import (#2012987)
